package com.jz.common.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**分页信息封装
 * @author ybz
 *
 */
@ApiModel(value = "分页信息", description = "分页信息封装")
public class BasePageBean {
	
	@ApiModelProperty(value = "当前页码")
	private int pageNum = 1;
	
	@ApiModelProperty(value = "每页显示记录数")
	private int pageSize = 10;
	
	public int getPageNum() {
		return pageNum;
	}

	public void setPageNum(int pageNum) {
		this.pageNum = pageNum;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	
	

}
