package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.dmp.modules.model.DmpRealtimeSyncSelectTable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @ClassName: RealTimeEditDataEchoDto
 * @Description: 编辑任务数据回显返回参数
 * @Author：Bellamy
 * @Date 2021/01/12
 * @Version 1.0
 */
@ApiModel(value = "编辑任务数据回显返回参数", description = "编辑任务数据回显返回参数")
public class RealTimeEditDataEchoDto {

    /*
     * 实时同步任务ID
     * */
    @ApiModelProperty(value = "实时同步任务ID")
    private String id;

    /*
     * 来源数据源id
     * */
    @ApiModelProperty(value = "来源数据源id")
    private String srcDatasourceId;

    /*
     * 来源数据源名称
     * */
    @ApiModelProperty(value = "来源数据源")
    private String srcDatasourceName;

    /*
     * 目标数据源id
     * */
    @ApiModelProperty(value = "目标数据源id")
    private String targetDatasourceId;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "去向数据源")
    private String targetDatasourceName;

    /*
     * 黑名单表
     * */
    @ApiModelProperty(value = "黑名单表")
    private String blacklistTable;

    /*
     * 已选择的表
     * */
    @ApiModelProperty(value = "已选择的表")
    private List<DmpRealtimeSyncSelectTable> selectTable;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSrcDatasourceId() {
        return srcDatasourceId;
    }

    public void setSrcDatasourceId(String srcDatasourceId) {
        this.srcDatasourceId = srcDatasourceId;
    }

    public String getSrcDatasourceName() {
        return srcDatasourceName;
    }

    public void setSrcDatasourceName(String srcDatasourceName) {
        this.srcDatasourceName = srcDatasourceName;
    }

    public String getTargetDatasourceId() {
        return targetDatasourceId;
    }

    public void setTargetDatasourceId(String targetDatasourceId) {
        this.targetDatasourceId = targetDatasourceId;
    }

    public String getTargetDatasourceName() {
        return targetDatasourceName;
    }

    public void setTargetDatasourceName(String targetDatasourceName) {
        this.targetDatasourceName = targetDatasourceName;
    }

    public String getBlacklistTable() {
        return blacklistTable;
    }

    public void setBlacklistTable(String blacklistTable) {
        this.blacklistTable = blacklistTable;
    }

    public List<DmpRealtimeSyncSelectTable> getSelectTable() {
        return selectTable;
    }

    public void setSelectTable(List<DmpRealtimeSyncSelectTable> selectTable) {
        this.selectTable = selectTable;
    }
}
