package com.jz.dmp.modules.controller.DataIntegration.bean.flow;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class FlowNodeChangeInfo implements Serializable {
    /**
     * 变更节点名称
     */
    private String nodeName;

    /**
     * 变更后的数据
     */

    private String nodeData;

    /**
     * 变更类型  新增 更新 删除
     */
    private String changedType;

    /**
     * 节点类型
     */
    private String nodeType;


    /**
     * 变更人
     */
    private String createBy;


    /**
     * 变更时间
     */
    private String updateDateStr;

    /**
     * 版本
     */
    private int version;
}
